# Imagick::getOption

(PECL imagick 2, PECL imagick 3)

Imagick::getOption — Devuelve un valor asociado con la clave especificada

### Descripción

public Imagick::getOption(string `$key`): string

Devuelve un valor asociado dentro del objeto para una clave especificada.

### Parámetros

`key`

  El nombre de la opción

### Valores devueltos

Devuelve un valor asociado con una varita mágica y la clave especificada.

### Errores/Excepciones

Lanza ImagickException en caso de error.